Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.registration
Interface RegistrationPersistenceManager

All Known Implementing Classes:
  PersistentPortletStatePersistenceManager, RegistrationPersistenceManagerImpl

    public interface RegistrationPersistenceManager

Since:
  2.6
Version:
  $Revision: 8784 $
Author:
  Chris Laprun

Method Summary
`Consumer` | `addConsumerToGroupNamed(java.lang.String consumerId, java.lang.String groupName)`
`Registration` | `addRegistrationFor(java.lang.String consumerId, java.util.Map registrationProperties)`
`Consumer` | `createConsumer(java.lang.String consumerId, java.lang.String consumerName)` Creates a Consumer with the specified identity and name (which might be the same, depending on the policy)
`ConsumerGroup` | `createConsumerGroup(java.lang.String name)` Creates a new ConsumerGroup with the associated name.
`Consumer` | `getConsumerById(java.lang.String consumerId)` Return an existing consumer from its id.
`ConsumerGroup` | `getConsumerGroup(java.lang.String name)` Retrieves the ConsumerGroup identified by the specified name.
`java.util.Collection` | `getConsumerGroups()`
`java.util.Collection` | `getConsumers()`
`Registration` | `getRegistration(java.lang.String registrationId)`
`java.util.Collection` | `getRegistrations()`
`void` | `removeConsumer(java.lang.String consumerId)`
`void` | `removeConsumerGroup(java.lang.String name)`
`void` | `removeRegistration(java.lang.String registrationId)`

Method Detail

### createConsumer

    Consumer createConsumer(java.lang.String consumerId,
                            java.lang.String consumerName)
                            throws RegistrationException

  Creates a Consumer with the specified identity and name (which might be the same, depending on the policy)

  Parameters:
    `consumerId` -
    `consumerName` -
  Throws:
    `RegistrationException`

### getConsumerGroup

    ConsumerGroup getConsumerGroup(java.lang.String name)
                                   throws RegistrationException

  Retrieves the ConsumerGroup identified by the specified name.

  Parameters:
    `name` - the name of the group to be retrieved
  Returns:
    the ConsumerGroup identified by the specified name
  Throws:
    `RegistrationException`

### createConsumerGroup

    ConsumerGroup createConsumerGroup(java.lang.String name)
                                      throws RegistrationException

  Creates a new ConsumerGroup with the associated name.

  Parameters:
    `name` - the name of the ConsumerGroup to be created
  Returns:
    a new ConsumerGroup with the associated name
  Throws:
    `RegistrationException`

### removeConsumerGroup

    void removeConsumerGroup(java.lang.String name)
                             throws RegistrationException

  Throws:
    `RegistrationException`

### removeConsumer

    void removeConsumer(java.lang.String consumerId)
                        throws RegistrationException

  Throws:
    `RegistrationException`

### removeRegistration

    void removeRegistration(java.lang.String registrationId)
                            throws RegistrationException

  Throws:
    `RegistrationException`

### getConsumerById

    Consumer getConsumerById(java.lang.String consumerId)
                             throws java.lang.IllegalArgumentException,
                                    RegistrationException

  Return an existing consumer from its id.

  Parameters:
    `consumerId` - the consumer id
  Returns:
    the consumer or null if it does not exist
  Throws:
    `java.lang.IllegalArgumentException` - if the consumer id argument is null
    `RegistrationException`

### addRegistrationFor

    Registration addRegistrationFor(java.lang.String consumerId,
                                    java.util.Map registrationProperties)
                                    throws RegistrationException

  Throws:
    `RegistrationException`

### getConsumerGroups

    java.util.Collection getConsumerGroups()

### getRegistration

    Registration getRegistration(java.lang.String registrationId)

### addConsumerToGroupNamed

    Consumer addConsumerToGroupNamed(java.lang.String consumerId,
                                     java.lang.String groupName)
                                     throws RegistrationException

  Throws:
    `RegistrationException`

### getConsumers

    java.util.Collection getConsumers()

### getRegistrations

    java.util.Collection getRegistrations()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD